#
# spec file for package graywolf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:            graywolf
Summary:         Yosys open synthesis suite - placement tool
Version:         0.1.6
Release:         1.1
License:         GPL-2.0
Group:           Productivity/Scientific/Electronics
Source0:         https://github.com/rubund/graywolf/archive/%{version}.tar.gz#/graywolf-%{version}.tar.gz
# PATCH-FIX-OPENSUSE 0001-Avoid-symbol-reference-from-library-to-hosting-progr.patch -- fix build issue, recheck
Patch0:          0001-Avoid-symbol-reference-from-library-to-hosting-progr.patch
Patch1:          0001-Fix-function-prototype-for-TWdialog-user-callback.patch
Patch2:          0002-Fix-uninialized-return-value-warning.patch
Patch3:          0003-twsc-correct-prototype-for-add_port-declare-prototyp.patch
Patch4:          0004-twmc-correct-prototype-for-set_cur_orient-declare-fu.patch
URL:             https://github.com/rubund/graywolf
BuildRequires:   cmake
BuildRequires:   gcc-c++
BuildRequires:   gsl-devel
BuildRequires:   libX11-devel
BuildRequires:   pkg-config

%description
VLSI design placement tool, mainly used together with qflow.

This is a fork of TimberWolf 6.3.5, which was developed at Yale University,
and was distributed as open source for a time until it was taken commercial.
The last open-source version of TimberWolf does not perform detail routing,
but is a professional-grade placement tool. In order to continue improving
the open-source version, graywolf has been forked off from version 6.3.5
of TimberWolf.

%prep
%setup -n graywolf-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%cmake
%make_jobs

%install
%cmake_install
mv %{buildroot}%{_libexecdir}/graywolf/bin/splt_file.{a,awk}
rm %{buildroot}%{_libdir}/lib*.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/*
%{_libdir}/*
%{_libexecdir}/%{name}

%changelog
* Sat Aug 25 2018 stefan.bruens@rwth-aachen.de
- Update to version 0.1.6 - no upstream changelog available
- Update to version 0.1.5 - no upstream changelog available
- Drop upstreamed patches:
  * 0001-cfree-has-been-removed-from-glibc-2.26.patch
  * 0002-Use-CMAKE_INSTALL_LIBDIR-instead-of-CMAKE_INSTALL_PR.patch
  * 0003-Fix-no-return-in-nonvoid-function-warnings.patch
  * 0004-Add-missing-includes-to-have-correct-prototypes.patch
  * 0005-Add-headers-for-prototypes.patch
  * 0006-Miscellaneous-return-value-fixes.patch
  * 0007-Fix-bad-cast-int-vs-int.patch
  * 0008-Fix-linking-during-parallel-build.patch
- Add patches:
  * 0001-Fix-function-prototype-for-TWdialog-user-callback.patch
  * 0002-Fix-uninialized-return-value-warning.patch
  * 0003-twsc-correct-prototype-for-add_port-declare-prototyp.patch
  * 0004-twmc-correct-prototype-for-set_cur_orient-declare-fu.patch
- Add BuildRequires: gsl-devel, new dependency
* Tue Apr 17 2018 stefan.bruens@rwth-aachen.de
- Update 0003-Fix-no-return-in-nonvoid-function-warnings.patch
  Catch prototype mismatches by declaring the functions
* Thu Apr  5 2018 stefan.bruens@rwth-aachen.de
- Add upstream references to upstreamed patches
- Correct RPM Group
- Remove development library
- Rename splt_file.a awk script to splt_file.awk
* Thu Apr  5 2018 stefan.bruens@rwth-aachen.de
- Fix build failure due to removal of obsolete cfree from glibc 2.26
  * add 0001-cfree-has-been-removed-from-glibc-2.26.patch
* Sun Jun 18 2017 stefan.bruens@rwth-aachen.de
- Update to version 0.1.4
- fix upstream sources to compile with current default compiler
  flags/warnings:
  * add 0001-Avoid-symbol-reference-from-library-to-hosting-progr.patch
  * add 0003-Fix-no-return-in-nonvoid-function-warnings.patch
  * add 0004-Add-missing-includes-to-have-correct-prototypes.patch
  * add 0005-Add-headers-for-prototypes.patch
  * add 0006-Miscellaneous-return-value-fixes.patch
  * add 0007-Fix-bad-cast-int-vs-int.patch
- heavy spec cleanup
  * remove bad libffi4 Requires
  * remove unnecessary BuildRequires tcl-devel,flex, bison
  * Update description, actually provide information about graywolf
    instead of the whole Yosys suite
- properly use and set _libdir, also in generated files, instead of
  just moving the files:
  * add 0002-Use-CMAKE_INSTALL_LIBDIR-instead-of-CMAKE_INSTALL_PR.patch
- fix parallel build:
  * add 0008-Fix-linking-during-parallel-build.patch
- run ldconfig
* Tue Dec  8 2015 David Lanzendörfer <david.lanzendoerfer@o2s.ch>
- graywolf port to openSUSE
